Bug 172 - too many requirements for minicom build
: too many requirements for minicom build
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-utils)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-21 23:57 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-21 23:57:27
buildreq for minicom-2.00.0-alt4 generates an unreasonably long list of
requirements: 
packagereq: 
building requires list:                                                        
                                    bison cups gimp-print kernel22-source
kernel24-source libncurses-devel libtermcap-devel pcmcia-cs

The only really used packages are the two lib*-devel.
All others are probably detected during the execution of ./configure.
---

---
I have three ideas of possible solutions (all of them are not good):

1. exclude files that are commonly used in autotools\' tests from the set of
files that are important for detecting the packages;

2. do not trace ./configure and its child processes;

3. put %configure to another section of the spec-file (not %build, but %prep),
so that one can first execute %prep without tracing, and then trace the %build
stage.
------- Comment #1 From 2002-09-28 21:24:01 -------
Seems to be fixed (i.e. was minicom package problem):

now buildreq minicom produces:

# Automatically added by buildreq on Sat Sep 28 2002
BuildRequires: libtinfo-devel
------- Comment #2 From 2002-09-28 21:24:01 -------
Seems to be fixed (i.e. was minicom package problem):

now buildreq minicom produces:

# Automatically added by buildreq on Sat Sep 28 2002
BuildRequires: libtinfo-devel